Subject: bug#6902: 23.2; indent-line-to possible devide by zero error bug

From: Chong Yidong <[email-masked]>
Date: Sun, 10 Apr 2011 16:56:52 -0400

Arik Mitschang <[email-masked]> writes:

>  > A quick grep for tab-width shows other places that will break.
>
> The fact that it's value can be zero (without even warning in the doc
> string) and this value causes functionality to break doesn't seem good
> to me. If nobody but me ever had it set to zero, then perhaps just
> updating its doc-string to warn users away from that value would be
> nice.

I have made such an update to the doc-string.  It doesn't seem
worthwhile to try to handle zero tab-widths in all the places where it
could be problematic.  Thanks.